GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/rs6000-aix-tdep.h File Reference

Go to the source code of this file.

## Functions
ULONGEST | rs6000_aix_ld_info_to_xml (struct gdbarch *gdbarch, const gdb_byte *ldi_buf, gdb_byte *readbuf, ULONGEST offset, ULONGEST len, int close_ldinfo_fd)

## Function Documentation

## ◆ rs6000_aix_ld_info_to_xml()

ULONGEST rs6000_aix_ld_info_to_xml | ( | struct gdbarch * | gdbarch,
|  | const gdb_byte * | ldi_buf,
|  | gdb_byte * | readbuf,
|  | ULONGEST | offset,
|  | ULONGEST | len,
|  | int | close_ldinfo_fd
| ) |  |

Definition at line 959 of file rs6000-aix-tdep.c.

References ld_info::fd, ld_info::next, obstack_grow_str, obstack_grow_str0, offset, rs6000_aix_extract_ld_info(), and rs6000_aix_shared_library_to_xml().

Referenced by rs6000_aix_core_xfer_shared_libraries_aix(), and rs6000_xfer_shared_libraries().